.sidebar,
body>.navbar-collapse {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 260px;
  display: block;
  z-index: 1;
  color: #fff;
  font-weight: 200;
  background-size: cover;
  background-position: center center;
}

.sidebar .sidebar-wrapper,
body>.navbar-collapse .sidebar-wrapper {
  position: relative;
  max-height: calc(100vh - 75px);
  min-height: 100%;
  overflow: auto;
  width: 260px;
  z-index: 4;
  padding-bottom: 100px;
}

.sidebar .sidebar-background,
body>.navbar-collapse .sidebar-background {
  position: absolute;
  z-index: 1;
  height: 100%;
  width: 100%;
  display: block;
  top: 0;
  left: 0;
  background-size: cover;
  background-position: center center;
}

.sidebar .logo,
body>.navbar-collapse .logo {
  padding: 10px 15px 9px 15px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  position: relative;
  z-index: 4;
}

.sidebar .logo p,
body>.navbar-collapse .logo p {
  float: left;
  font-size: 20px;
  margin: 10px 10px;
  color: #FFFFFF;
  line-height: 20px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.sidebar .logo .simple-text,
body>.navbar-collapse .logo .simple-text {
  text-transform: uppercase;
  padding: 5px 0px;
  display: block;
  font-size: 18px;
  color: #FFFFFF;
  text-align: center;
  font-weight: 400;
  line-height: 30px;
}

.sidebar .logo-tim,
body>.navbar-collapse .logo-tim {
  border-radius: 50%;
  border: 1px solid #333;
  display: block;
  height: 61px;
  width: 61px;
  float: left;
  overflow: hidden;
}

.sidebar .logo-tim img,
body>.navbar-collapse .logo-tim img {
  width: 60px;
  height: 60px;
}

.sidebar .nav,
body>.navbar-collapse .nav {
  margin-top: 20px;
  float: none;
  display: block;
}

/* @change */
.sidebar .nav li .nav-link,
body>.navbar-collapse .nav li .nav-link {
  color: #FFFFFF;
  margin: 5px 0px 5px 25px;
  opacity: .86;
  border-radius: 15px 0px 0px 15px;
  display: block;
  padding: 10px 0px 10px 15px;
  border-right: solid 0px rgb(228, 228, 186);

}
/* @change */
.sidebar .nav li .nav-link:hover,
body>.navbar-collapse .nav li .nav-link:hover {
  background: rgba(255, 255, 255, 0.13);
  opacity: 1;
  color:#000000;
  /* border-right: solid 3px rgb(228, 228, 186); */
}

.sidebar .nav li .nav-link p,
body>.navbar-collapse .nav li .nav-link p {
  margin: 0;
  line-height: 31px;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
  display: inline-flex;
}

.sidebar .nav li .nav-link i,
body>.navbar-collapse .nav li .nav-link i {
  font-size: 28px;
  margin-right: 15px 0px 15px 0px;
  width: 30px;
  text-align: center;
  vertical-align: middle;
  float: left;
}

.sidebar .nav li:hover .nav-link,
body>.navbar-collapse .nav li:hover .nav-link {
  background: rgba(255, 255, 255, 0.13);
  opacity: 1;
}

.sidebar .nav li.active .nav-link,
body>.navbar-collapse .nav li.active .nav-link {
  color: #fc727a;
  opacity: 1;
  background: #f7f7f8;
  border: solid 0px #db7878;
}

.sidebar .nav li.separator,
body>.navbar-collapse .nav li.separator {
  margin: 15px 0px 15px 15px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.sidebar .nav li.separator+.nav-item,
body>.navbar-collapse .nav li.separator+.nav-item {
  margin-top: 31px;
}

.sidebar .nav .caret,
body>.navbar-collapse .nav .caret {
  margin-top: 13px;
  position: absolute;
  right: 30px;
}

.sidebar .nav .active-pro,
body>.navbar-collapse .nav .active-pro {
  position: absolute;
  width: 100%;
  bottom: 10px;
}

.sidebar .nav .active-pro a,
body>.navbar-collapse .nav .active-pro a {
  color: #FFFFFF !important;
}

.sidebar .nav .nav-link,
body>.navbar-collapse .nav .nav-link {
  color: #FFFFFF;
  margin: 5px 15px;
  opacity: .86;
  border-radius: 4px;
  text-transform: uppercase;
  line-height: 30px;
  font-size: 12px;
  font-weight: 600;
}

.sidebar .logo,
body>.navbar-collapse .logo {
  padding: 10px 15px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.sidebar .logo p,
body>.navbar-collapse .logo p {
  float: left;
  font-size: 20px;
  margin: 10px 10px;
  color: #FFFFFF;
  line-height: 20px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.sidebar .logo .simple-text,
body>.navbar-collapse .logo .simple-text {
  text-transform: uppercase;
  padding: 5px 0px;
  display: block;
  font-size: 18px;
  color: #FFFFFF;
  text-align: center;
  font-weight: 400;
  line-height: 30px;
}

.sidebar .logo-tim,
body>.navbar-collapse .logo-tim {
  border-radius: 50%;
  border: 1px solid #333;
  display: block;
  height: 61px;
  width: 61px;
  float: left;
  overflow: hidden;
}

.sidebar .logo-tim img,
body>.navbar-collapse .logo-tim img {
  width: 60px;
  height: 60px;
}

.sidebar:after,
.sidebar:before,
body>.navbar-collapse:after,
body>.navbar-collapse:before {
  display: block;
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 2;
}

.sidebar:before,
body>.navbar-collapse:before {
  opacity: .33;
  background: #000000;
}

.sidebar:after,
body>.navbar-collapse:after {
  background: #9368E9;
  background: -moz-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #9368E9), color-stop(100%, #943bea));
  background: -webkit-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -o-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -ms-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: linear-gradient(to bottom, #9368E9 0%, #943bea 100%);
  background-size: 150% 150%;
  z-index: 3;
  opacity: 1;
}

.sidebar[data-image]:after,
.sidebar.has-image:after,
body>.navbar-collapse[data-image]:after,
body>.navbar-collapse.has-image:after {
  opacity: .77;
}

.sidebar[data-color="black"]:after,
body>.navbar-collapse[data-color="black"]:after {
  background: #777777;
  background: -moz-linear-gradient(top, #777777 0%, #777777 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #777777), color-stop(100%, #777777));
  background: -webkit-linear-gradient(top, #777777 0%, #777777 100%);
  background: -o-linear-gradient(top, #777777 0%, #777777 100%);
  background: -ms-linear-gradient(top, #777777 0%, #777777 100%);
  background: linear-gradient(to bottom, #777777 0%, #777777 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="blue"]:after,
body>.navbar-collapse[data-color="blue"]:after {
  background: #1F77D0;
  background: -moz-linear-gradient(top, #1F77D0 0%, #533ce1 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #1F77D0), color-stop(100%, #533ce1));
  background: -webkit-linear-gradient(top, #1F77D0 0%, #533ce1 100%);
  background: -o-linear-gradient(top, #1F77D0 0%, #533ce1 100%);
  background: -ms-linear-gradient(top, #1F77D0 0%, #533ce1 100%);
  background: linear-gradient(to bottom, #1F77D0 0%, #533ce1 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="azure"]:after,
body>.navbar-collapse[data-color="azure"]:after {
  background: #1DC7EA;
  background: -moz-linear-gradient(top, #1DC7EA 0%, #4091ff 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #1DC7EA), color-stop(100%, #4091ff));
  background: -webkit-linear-gradient(top, #1DC7EA 0%, #4091ff 100%);
  background: -o-linear-gradient(top, #1DC7EA 0%, #4091ff 100%);
  background: -ms-linear-gradient(top, #1DC7EA 0%, #4091ff 100%);
  background: linear-gradient(to bottom, #1DC7EA 0%, #4091ff 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="green"]:after,
body>.navbar-collapse[data-color="green"]:after {
  background: #87CB16;
  background: -moz-linear-gradient(top, #87CB16 0%, #6dc030 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #87CB16), color-stop(100%, #6dc030));
  background: -webkit-linear-gradient(top, #87CB16 0%, #6dc030 100%);
  background: -o-linear-gradient(top, #87CB16 0%, #6dc030 100%);
  background: -ms-linear-gradient(top, #87CB16 0%, #6dc030 100%);
  background: linear-gradient(to bottom, #87CB16 0%, #6dc030 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="orange"]:after,
body>.navbar-collapse[data-color="orange"]:after {
  background: #FFA534;
  background: -moz-linear-gradient(top, #FFA534 0%, #ff5221 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #FFA534), color-stop(100%, #ff5221));
  background: -webkit-linear-gradient(top, #FFA534 0%, #ff5221 100%);
  background: -o-linear-gradient(top, #FFA534 0%, #ff5221 100%);
  background: -ms-linear-gradient(top, #FFA534 0%, #ff5221 100%);
  background: linear-gradient(to bottom, #FFA534 0%, #ff5221 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="red"]:after,
body>.navbar-collapse[data-color="red"]:after {
  background: #FB404B;
  background: -moz-linear-gradient(top, #FB404B 0%, #bb0502 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #FB404B), color-stop(100%, #bb0502));
  background: -webkit-linear-gradient(top, #FB404B 0%, #bb0502 100%);
  background: -o-linear-gradient(top, #FB404B 0%, #bb0502 100%);
  background: -ms-linear-gradient(top, #FB404B 0%, #bb0502 100%);
  background: linear-gradient(to bottom, #FB404B 0%, #bb0502 100%);
  background-size: 150% 150%;
}

.sidebar[data-color="purple"]:after,
body>.navbar-collapse[data-color="purple"]:after {
  background: #9368E9;
  background: -moz-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #9368E9), color-stop(100%, #943bea));
  background: -webkit-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -o-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: -ms-linear-gradient(top, #9368E9 0%, #943bea 100%);
  background: linear-gradient(to bottom, #9368E9 0%, #943bea 100%);
  background-size: 150% 150%;
}


/*          Changes for small display      */

@media (max-width: 991px) {
  .sidebar {
    right: 0 !important;
    left: auto;
    position: fixed;
    -webkit-transform: translate3d(262px, 0, 0);
    -moz-transform: translate3d(262px, 0, 0);
    -o-transform: translate3d(262px, 0, 0);
    -ms-transform: translate3d(262px, 0, 0);
    transform: translate3d(262px, 0, 0) !important;
    -webkit-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  .nav-open .main-panel {
    position: absolute;
    left: 0;
    -webkit-transform: translate3d(-250px, 0, 0);
    -moz-transform: translate3d(-250px, 0, 0);
    -o-transform: translate3d(-250px, 0, 0);
    -ms-transform: translate3d(-250px, 0, 0);
    transform: translate3d(-250px, 0, 0) !important;
    -webkit-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  .nav-open .sidebar {
    -webkit-transform: translate3d(10px, 0, 0);
    -moz-transform: translate3d(10px, 0, 0);
    -o-transform: translate3d(10px, 0, 0);
    -ms-transform: translate3d(10px, 0, 0);
    transform: translate3d(10px, 0, 0) !important;
    -webkit-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  .main-panel {
    -webkit-transform: translate3d(0px, 0, 0);
    -moz-transform: translate3d(0px, 0, 0);
    -o-transform: translate3d(0px, 0, 0);
    -ms-transform: translate3d(0px, 0, 0);
    transform: translate3d(0px, 0, 0) !important;
    -webkit-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  .nav-item.active-pro {
    position: relative !important;
  }

  .nav-mobile-menu {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
    margin-bottom: 15px;
    padding-bottom: 15px;
    padding-top: 5px;
  }

  .nav-mobile-menu .dropdown .dropdown-menu {
    position: static !important;
    float: none;
    width: auto;
    color: #FFFFFF;
    margin-top: 0;
    background-color: transparent;
    border: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.5s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  .nav-mobile-menu .dropdown .dropdown-menu .dropdown-item {
    margin: 5px 15px 0px 40px;
    border-radius: 4px;
    color: #FFFFFF;
    opacity: .86;
    padding: 8px 50px;
  }

  .nav-mobile-menu .dropdown .dropdown-menu .dropdown-item:hover {
    background-color: rgba(255, 255, 255, 0.23);
  }

  .nav-mobile-menu .nav-item .nav-link span {
    display: inline-block !important;
  }

  .nav-mobile-menu .nav-item .nav-link .no-icon {
    padding-left: 50px;
  }

  .main-panel {
    width: 100%;
  }

  .navbar-transparent {
    padding-top: 15px;
    background-color: rgba(0, 0, 0, 0.45);
  }

  body {
    position: relative;
  }

  .wrapper {
    left: 0;
    background-color: white;
  }

  .navbar {
    padding-right: 30px;
    padding-left: 30px;
  }

  .navbar-nav .nav-item {
    float: none;
    position: relative;
    display: block;
  }

  body>.navbar-collapse {
    position: fixed;
    display: block;
    top: 0;
    height: 100%;
    right: 0;
    left: auto;
    z-index: 1032;
    visibility: visible;
    background-color: #999;
    overflow-y: visible;
    border-top: none;
    text-align: left;
    padding: 0;
    -webkit-transform: translate3d(260px, 0, 0);
    -moz-transform: translate3d(260px, 0, 0);
    -o-transform: translate3d(260px, 0, 0);
    -ms-transform: translate3d(260px, 0, 0);
    transform: translate3d(260px, 0, 0);
    -webkit-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -moz-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -o-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    -ms-transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
    transition: all 0.33s cubic-bezier(0.685, 0.0473, 0.346, 1);
  }

  body>.navbar-collapse>ul {
    position: relative;
    z-index: 4;
    overflow-y: scroll;
    height: calc(100vh - 61px);
    width: 100%;
  }

  body>.navbar-collapse::before {
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    position: absolute;
    background-color: #282828;
    display: block;
    content: "";
    z-index: 1;
  }

  body>.navbar-collapse .logo {
    position: relative;
    z-index: 4;
  }

  body>.navbar-collapse .nav li>a {
    padding: 10px 15px;
  }

  .nav-show .navbar-collapse {
    -webkit-transform: translate3d(0px, 0, 0);
    -moz-transform: translate3d(0px, 0, 0);
    -o-transform: translate3d(0px, 0, 0);
    -ms-transform: translate3d(0px, 0, 0);
    transform: translate3d(0px, 0, 0);
  }

  .nav-show .navbar .container {
    left: -250px;
  }

  .nav-show .wrapper {
    left: 0;
    -webkit-transform: translate3d(-260px, 0, 0);
    -moz-transform: translate3d(-260px, 0, 0);
    -o-transform: translate3d(-260px, 0, 0);
    -ms-transform: translate3d(-260px, 0, 0);
    transform: translate3d(-260px, 0, 0);
  }

  .navbar-toggle .icon-bar {
    display: block;
    position: relative;
    background: #fff;
    width: 24px;
    height: 2px;
    border-radius: 1px;
    margin: 0 auto;
  }

  .navbar-header .navbar-toggle {
    margin: 10px 15px 10px 0;
    width: 40px;
    height: 40px;
  }

  .navbar-toggle .icon-bar+.icon-bar {
    margin-top: 4px;
  }


  .sidebar .nav a,
  .table>tbody>tr .td-actions .btn {
    -webkit-transition: all 150ms ease-in;
    -moz-transition: all 150ms ease-in;
    -o-transition: all 150ms ease-in;
    -ms-transition: all 150ms ease-in;
    transition: all 150ms ease-in;
  }
